%define dist Image-ExifTool

Name: perl-%dist
Version: 7.56
Release: alt1

Packager: Victor Forsyuk <force@altlinux.org>

Summary: Perl module for manipulating EXIF data
License: Perl
Group: Development/Perl

# Switched to real homepage from "%CPAN %dist" as CPAN page does not track
# every released version
URL: http://owl.phy.queensu.ca/~phil/exiftool
Source: %url/%dist-%version.tar.gz
Patch0: perl-image-exiftools-findreq-alt.patch

BuildArch: noarch

# Automatically added by buildreq on Thu Mar 27 2008
BuildRequires: perl-Compress-Zlib perl-Encode perl-devel

%description
ExifTool is a customizable set of Perl modules plus an application script
for reading and writing meta information in image, audio and video files,
including the maker note information of many digital cameras by various
manufacturers such as Canon, Casio, FujiFilm, JVC/Victor, Kodak, Leaf,
Minolta/Konica-Minolta, Nikon, Olympus/Epson, Panasonic/Leica, Pentax/Asahi,
Ricoh, Sanyo, Sigma/Foveon and Sony.

%prep
%setup -n %dist-%version
%patch0 -p1

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes README iptc2xmp.args xmp2iptc.args ExifTool_config html/*
%_bindir/exiftool
%perl_vendor_privlib/File/*
%perl_vendor_privlib/Image/ExifTool.*
%dir %perl_vendor_privlib/Image/ExifTool
%perl_vendor_privlib/Image/ExifTool/*
%_man1dir/exiftool*
%perl_vendor_man3dir/File*
%perl_vendor_man3dir/Image*

%changelog
* Thu Dec 04 2008 Victor Forsyuk <force@altlinux.org> 7.56-alt1
- 7.56

* Wed Nov 05 2008 Victor Forsyuk <force@altlinux.org> 7.52-alt1
- 7.52

* Thu Oct 23 2008 Victor Forsyuk <force@altlinux.org> 7.49-alt1
- 7.49

* Thu Sep 18 2008 Victor Forsyuk <force@altlinux.org> 7.43-alt1
- 7.43

* Thu Aug 28 2008 Victor Forsyuk <force@altlinux.org> 7.41-alt1
- 7.41

* Fri Aug 01 2008 Victor Forsyuk <force@altlinux.org> 7.39-alt1
- 7.39

* Wed Jun 18 2008 Victor Forsyuk <force@altlinux.org> 7.32-alt1
- 7.32

* Wed Jun 04 2008 Victor Forsyuk <force@altlinux.org> 7.30-alt1
- 7.30

* Thu May 22 2008 Victor Forsyuk <force@altlinux.org> 7.26-alt1
- 7.26

* Wed Apr 30 2008 Victor Forsyuk <force@altlinux.org> 7.25-alt1
- 7.25

* Mon Mar 31 2008 Victor Forsyuk <force@altlinux.org> 7.23-alt1
- 7.23

* Thu Mar 27 2008 Victor Forsyuk <force@altlinux.org> 7.22-alt1
- 7.22

* Thu Mar 13 2008 Victor Forsyuk <force@altlinux.org> 7.21-alt1
- 7.21

* Tue Mar 04 2008 Victor Forsyuk <force@altlinux.org> 7.19-alt1
- 7.19

* Mon Jan 14 2008 Victor Forsyuk <force@altlinux.org> 7.11-alt1
- 7.11

* Fri Dec 28 2007 Victor Forsyuk <force@altlinux.org> 7.08-alt1
- 7.08

* Wed Dec 12 2007 Victor Forsyuk <force@altlinux.org> 7.06-alt1
- 7.06

* Mon Nov 26 2007 Victor Forsyuk <force@altlinux.org> 7.03-alt1
- 7.03

* Wed Oct 24 2007 Victor Forsyuk <force@altlinux.org> 7.00-alt1
- 7.00

* Tue Oct 16 2007 Victor Forsyuk <force@altlinux.org> 6.99-alt1
- 6.99

* Mon Sep 17 2007 Victor Forsyuk <force@altlinux.org> 6.97-alt1
- 6.97

* Fri Sep 07 2007 Victor Forsyuk <force@altlinux.org> 6.96-alt1
- 6.96

* Thu Aug 23 2007 Victor Forsyuk <force@altlinux.org> 6.95-alt1
- 6.95

* Mon Jul 09 2007 Victor Forsyuk <force@altlinux.org> 6.93-alt1
- 6.93

* Thu May 24 2007 Victor Forsyuk <force@altlinux.org> 6.90-alt1
- 6.90

* Tue Apr 24 2007 Victor Forsyuk <force@altlinux.org> 6.86-alt1
- 6.86

* Thu Mar 22 2007 Victor Forsyuk <force@altlinux.org> 6.82-alt1
- 6.82

* Thu Jan 18 2007 Victor Forsyuk <force@altlinux.org> 6.69-alt1
- 6.69

* Mon Dec 11 2006 Victor Forsyuk <force@altlinux.org> 6.64-alt1
- 6.64
- Refresh buildreqs.
- Add sample user configuration file (ExifTool_config) to docs.
- Package (as docs) xmp2iptc.args and iptc2xmp.args.

* Mon Dec 05 2005 Stanislav Yadykin <tosick@altlinux.ru> 5.77-alt1
- 5.77

* Thu Aug 25 2005 Stanislav Yadykin <tosick@altlinux.ru> 5.55-alt1
- 5.55

* Tue Aug 16 2005 Stanislav Yadykin <tosick@altlinux.ru> 5.46-alt1
- 5.46

* Thu Jun 16 2005 Stanislav Yadykin <tosick@altlinux.ru> 5.32-alt1
- 5.38

* Wed May 18 2005 Stanislav Yadykin <tosick@altlinux.ru> 5.18-alt1
- build 5.18 for Sisyphus
